package com.bumptech.glide.c.c;

import android.content.res.Resources;
import android.net.Uri;
import android.os.ParcelFileDescriptor;
import com.tencent.matrix.trace.core.AppMethodBeat;

public class s$b implements o<Integer, ParcelFileDescriptor> {
    private final Resources aEH;

    public s$b(Resources resources) {
        this.aEH = resources;
    }

    public final n<Integer, ParcelFileDescriptor> a(r rVar) {
        AppMethodBeat.i(92127);
        s sVar = new s(this.aEH, rVar.b(Uri.class, ParcelFileDescriptor.class));
        AppMethodBeat.o(92127);
        return sVar;
    }
}
